[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / FormControlErrorDirective

# Class: ~~FormControlErrorDirective~~

Defined in: [packages/angular/forms/src/lib/directives/form-control-error.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-error.directive.ts#L27)

## Deprecated

removed use the rxapControlError or rxapControlErrors directive

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new FormControlErrorDirective()

> **new FormControlErrorDirective**(`template`, `parent`, `viewContainerRef`): [`FormControlErrorDirective`](FormControlErrorDirective.md)

Defined in: [packages/angular/forms/src/lib/directives/form-control-error.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-error.directive.ts#L45)

#### Parameters

##### template

`TemplateRef`\<\{ `$implicit`: `ValidationErrors`; \}\>

##### parent

`ControlContainer`

##### viewContainerRef

`ViewContainerRef`

#### Returns

[`FormControlErrorDirective`](FormControlErrorDirective.md)

## Properties

### ~~errorKey~~

> **errorKey**: `string`

Defined in: [packages/angular/forms/src/lib/directives/form-control-error.directive.ts:41](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-error.directive.ts#L41)

***

### ~~name~~

> **name**: `string`

Defined in: [packages/angular/forms/src/lib/directives/form-control-error.directive.ts:34](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-error.directive.ts#L34)

## Methods

### ~~ngOnDestroy()~~

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-error.directive.ts:72](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-error.directive.ts#L72)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ~~ngOnInit()~~

> **ngOnInit**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-error.directive.ts:52](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-error.directive.ts#L52)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`
